KATE(1)

NAME
kate - Um editor de texto avançado para o KDE

SYNOPSIS

kate [-s, --start nome] [-u, --use] [-p, --pid pid] [-e, --encoding nome] [-l, --line linha] [-c, --column coluna] [-i, --stdin] [Opções Genéricas do KDE] [Opções Genéricas do Qt]

DESCRIçãO

O Kate é o Editor de Texto Avançado do KDE.

O Kate também oferece o componente de edição para vários aplicativos, sob o nome KWrite.

Algumas das várias funcionalidades do Kate incluem o realce de sintaxe configurável para as linguagens que vão do C e C++ até ao HTML, passando por programas em 'bash', a capacidade de criar e manter projetos, uma interface para vários documentos (MDI) e um emulador de terminal embutido.

Mas o Kate é mais do que um editor para programadores. A sua capacidade de abrir vários arquivos de uma vez torna-o ideal para editar os vários arquivos de configuração do UNIX®. Este documento foi escrito no Kate.

OPçõES

-s, --start nome
    Inicia o Kate com uma determinada sessão.

-u, --use
    Usa um Kate já em execução

-p, --pid  pid
    Tenta apenas reutilizar a instância do 'kate' com este PID

-e, --encoding  nome
    Modifica a codificação do arquivo a abrir Você poderá usar esta opção para obrigar a abrir um documento no formato UTF-8, por exemplo. (O comando iconv -l oferece uma lista com as codificações, o que poderá ser útil para você.)

-l, --line  linha
    Navegar para esta linha

-c, --column  coluna
    Navegar para esta coluna

-i, --stdin
    Lê o conteúdo do stdin

VEJA TAMBéM

kwrite(1)

Existe a documentação do usuário mais detalhada em help:/kate (tanto poderá inserir este URL no Konqueror, como executar o khelpcenter help:/kate).

Existem ainda mais informações disponíveis na página Web do Kate: http://kate.kde.org/.

EXEMPLOS

Para abrir um arquivo chamado codigo.cpp na coluna 15 e linha 25 numa janela existente do Kate, você poderá usar:

    kate -c 15 -l 25 -u codigo.cpp

Se você tiver uma conexão à Internet, poderá tirar partido da transparência da rede do KDE para abrir um arquivo num servidor de FTP. Se não tiver permissões de escrita no servidor remoto, o arquivo será aberto apenas para leitura e ser-lhe-á pedido o nome do arquivo local no qual deseja gravar, se fizer alterações nele. Se tiver permissões para escrita, as alterações serão feitas de forma transparente pela rede.

    kate ftp://ftp.kde.org/pub/kde/LEIA_ME_PRIMEIRO

AUTORES

O responsável pela manutenção do Kate é o Christoph Cullmann <cullmann@kde.org>. Uma lista completa dos autores e contribuidores para o projeto está disponível no manual de usuário mencionado acima.

AUTHOR
Lauri Watts.